use temp_mail_org::Client;

#[tokio::test]
async fn create_mailbox_and_list_messages() -> anyhow::Result<()> {
    let client = Client::new();
    let mailbox = client.create_mailbox().await?;
    println!("Create mailbox with address: {}", mailbox.address());

    let message_previews = mailbox.list_messages(None).await?;
    assert!(message_previews.is_empty());

    Ok(())
}
